Bug 37031 - Seawolf can't nfs export vfat partition
Seawolf can't nfs export vfat partition
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-04-22 00:47 EDT by Jay Berkenbilt
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-23 11:21:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Berkenbilt 2001-04-22 00:47:27 EDT
/dark is a vfat partition mounted with

mount -t vfat /dev/hda1 /dark

exportfs host:/dark

results in

host:/dark: Invalid argument

thus making it impossible to nfs-mount a vfat partition from a Seawolf

I nfs-mount vfat partitions all the time as this is how I back up the
Windows partitions on my machines (which ordinarily run Linux).  I think
this worked in Fisher and Wolverine, but I can't be entirely sure because
all my wolverine machines are now running seawolf.  I know it worked under

Note that exports on my ext2 partitions work fine, so this is not a general
exporting problem.  It is specifically that my vfat partitions can't be
exported.  strace shows nfsservctl returns -1 with errno = EINVAL.  I
haven't dug deeper than that.
Comment 1 Arjan van de Ven 2001-04-22 04:52:03 EDT
NFS exporting of VFAT cannot work, as VFAT doesn't match the requirements
NFS sets on a filesystem. Older 2.2 kernels didn't prohibit this and even
tried to fake some of the required semantics, causing all sorts of problems
when people tried to mount this from non-linux machines.
Comment 2 Arjan van de Ven 2001-04-22 05:12:36 EDT
Alternatives for NFS in this case are using RSYNC or the CODA filesystem:
Comment 3 Jay Berkenbilt 2001-04-23 11:21:13 EDT
These explanations are most helpful.  This explains some of what I saw when I
was looking in the kernel nfs server code.  I guess those checks weren't there

In my case, I'm using home-written backup software.  This just gives me the push
I've needed to add real remote support (a few lines of code the way it's
structured -- I'll just run through ssh).

Thanks for explaining the reasons for this change in behavior, which seems to be
the right thing.
Comment 4 Arjan van de Ven 2001-04-26 07:46:47 EDT
I'll close this as "NOTABUG" then. Feel free to reopen if you object to that.

Note You need to log in before you can comment on or make changes to this bug.